Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 113798 - NPE at javax.swing.text.FlowView$FlowStrategy.layoutRow
NPE at javax.swing.text.FlowView$FlowStrategy.layoutRow
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Plugin Manager
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, jdkbug_6659186, re...
:
Depends on:
Blocks: 114284 114456
  Show dependency treegraph
 
Reported: 2007-08-25 17:57 UTC by darrinps
Modified: 2008-03-20 18:44 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (8.58 KB, text/plain)
2007-08-25 17:57 UTC, darrinps
Details
stacktrace (9.77 KB, text/plain)
2007-08-30 12:47 UTC, julch
Details
stacktrace (9.36 KB, text/plain)
2007-08-31 02:16 UTC, _ krystyna
Details
stacktrace (8.91 KB, text/plain)
2007-08-31 02:59 UTC, _ krystyna
Details
stacktrace (8.91 KB, text/plain)
2007-08-31 19:26 UTC, _ krystyna
Details
stacktrace (8.91 KB, text/plain)
2007-09-03 08:39 UTC, Martin Ryzl
Details
stacktrace (5.41 KB, text/plain)
2008-01-10 05:41 UTC, tprochazka
Details
stacktrace (5.78 KB, text/plain)
2008-01-21 15:04 UTC, nouar38
Details
stacktrace (5.78 KB, text/plain)
2008-01-25 11:36 UTC, tprochazka
Details
stacktrace (5.87 KB, text/plain)
2008-01-29 14:25 UTC, halil
Details
stacktrace (9.01 KB, text/plain)
2008-01-31 13:15 UTC, qpolarbear
Details
stacktrace (5.78 KB, text/plain)
2008-02-02 19:59 UTC, awmobjects
Details
stacktrace (5.77 KB, text/plain)
2008-02-04 09:01 UTC, davideconsonni
Details
stacktrace (5.78 KB, text/plain)
2008-02-04 20:11 UTC, rkolman
Details
stacktrace (5.78 KB, text/plain)
2008-02-04 22:53 UTC, awmobjects
Details
stacktrace (9.01 KB, text/plain)
2008-02-05 09:34 UTC, yjoan
Details
stacktrace (5.78 KB, text/plain)
2008-02-05 13:36 UTC, lhochet
Details
stacktrace (5.49 KB, text/plain)
2008-02-05 15:31 UTC, fpgulias
Details
stacktrace (5.78 KB, text/plain)
2008-02-05 22:05 UTC, mm
Details
stacktrace (5.95 KB, text/plain)
2008-02-08 09:39 UTC, Jiri Skrivanek
Details
stacktrace (5.49 KB, text/plain)
2008-02-11 01:22 UTC, kitfox
Details
stacktrace (7.67 KB, text/plain)
2008-02-11 11:13 UTC, Roman Mostyka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description darrinps 2007-08-25 17:57:15 UTC
Build: NetBeans IDE Dev (Build 200708250000)
VM: Java HotSpot(TM) Client VM, 1.6.0_02-b05
OS: Windows XP, 5.1, x86
User Comments: Adding plugins
Comment 1 darrinps 2007-08-25 17:57:19 UTC
Created attachment 47389 [details]
stacktrace
Comment 2 darrinps 2007-08-25 22:05:14 UTC
I think the entire NB6 daily build is hosed.  Almost nothing works...no plugins (even Java) are installed and will not 
install when you do it manually so it might just be a symptom of a larger issue that is causing this.

Comment 3 darrinps 2007-08-26 17:46:04 UTC
Today's is working fine, but I think the real issue might have been that I had an endorsed directory containing xalan 
to solve a problem with an application that I think was interfering with NB.

In any case, all seems to be fine now.
Comment 4 julch 2007-08-30 12:47:30 UTC
Build: NetBeans IDE Dev (Build 200708291200)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105
OS: Windows XP, 5.1, x86

User Comments: 
tried to install C++ Pack on 200708291200, install first said "not successfull", threw the NPE and finally offered the "Installation completed successfully window.
Comment 5 julch 2007-08-30 12:47:33 UTC
Created attachment 47806 [details]
stacktrace
Comment 6 _ krystyna 2007-08-31 02:16:37 UTC
Build: NetBeans IDE Dev (Build 200708300000)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Windows XP, 5.1, x86

User Comments: 
-Fresh userdir,at Tools->Plugins checked both VisualJSF compatibility kit and JSF 1.1.02 lib, started installation, 
 but got error dialog saying it couldn't install/download. but IDE installer said successful. From the log before
 the NPE:
Warning - could not install some modules:
        Visual JSF Backwards Compatibility Kit - The module named org.netbeans.modules.visualweb.libs.rowset/1 was needed and not found.
        Visual JSF Backwards Compatibility Kit - The module named org.netbeans.modules.web.libraries.jsf1102/1 was needed and not found.Exception in thread "Thread-7" java.lang.AssertionError: Cannot delete C:\bucket\30aug610\update\download\org-netbeans-modules-visualweb-compatibilitykit.nbm
        at org.netbeans.updater.ModuleUpdater.unpack(ModuleUpdater.java:365)
        at org.netbeans.updater.ModuleUpdater.run(ModuleUpdater.java:116)
INFO [org.netbeans.modules.autoupdate.services.InstallSupportImpl]: Overflow checks of installed module null
SEVERE [global]
 
Comment 7 _ krystyna 2007-08-31 02:16:45 UTC
Created attachment 47849 [details]
stacktrace
Comment 8 _ krystyna 2007-08-31 02:59:14 UTC
Build: NetBeans IDE Dev (Build 200708300000)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Windows XP, 5.1, x86

User Comments: 
-fresh userdir, checked and installed the two JSF related plugins (JSF 1.1.02 and Visual JSF Backwards Compatibility Kit)
  IDE Installer says (this time) successful but threw NPE
-this is console output  precediing the NPE:
INFO [org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogCache]: Processing URL: http://www.netbeans.org/updates/dev_1.23_.xml.gz?unique=NB_JAVA_WEBEE091efd068-3de9-4bd9-9ef9-0376f480f60d
INFO [org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogCache]: Processing URL: http://deadlock.netbeans.org/hudson/job/javadoc-nbms/lastSuccessfulBuild/artifact/nbbuild/nbms/updates.xml.gz
Error: Cannot delete C:\bucket\30aug652\update\download\org-netbeans-modules-visualweb-libs-rowset.nbm
Exception in thread "Thread-7" java.lang.AssertionError: Cannot delete C:\bucket\30aug652\update\download\org-netbeans-modules-visualweb-libs-rowset.nbm
        at org.netbeans.updater.ModuleUpdater.unpack(ModuleUpdater.java:365)
        at org.netbeans.updater.Modul
Comment 9 _ krystyna 2007-08-31 02:59:19 UTC
Created attachment 47851 [details]
stacktrace
Comment 10 _ krystyna 2007-08-31 19:26:42 UTC
Build: NetBeans IDE Dev (Build 200708310000)
VM: Java HotSpot(TM) Client VM, 1.6.0-rc-b100
OS: Windows XP, 5.1, x86

User Comments: 
-just finished installing the 2 Visual Web/JSF related plugsin needed for 1.4 project. (I had cancelled from
 the creation of the 1.4 project after receiving the warning). IDE installer says successful, but this NPE surfaces.
 the Installer window is still open.
Comment 11 _ krystyna 2007-08-31 19:26:50 UTC
Created attachment 47911 [details]
stacktrace
Comment 12 Martin Ryzl 2007-09-03 08:39:40 UTC
Build: NetBeans IDE Dev (Build 200709021200)
VM: Java HotSpot(TM) Client VM, 1.6.0_02-b06
OS: Windows XP, 5.1, x86

User Comments: 
installing Tomcat 5 Server and Web applications from update center. Initial installation was Mobility.
Comment 13 Martin Ryzl 2007-09-03 08:39:58 UTC
Created attachment 47949 [details]
stacktrace
Comment 14 Jiri Rechtacek 2007-09-03 11:11:10 UTC
x
Comment 15 Jiri Rechtacek 2007-09-03 11:11:40 UTC
User Comments: 
-Fresh userdir,at Tools->Plugins checked both VisualJSF compatibility kit and JSF 1.1.02 lib, started installation, 
 but got error dialog saying it couldn't install/download. but IDE installer said successful. From the log before
 the NPE:
Warning - could not install some modules:
        Visual JSF Backwards Compatibility Kit - The module named org.netbeans.modules.visualweb.libs.rowset/1 was
needed and not found.
        Visual JSF Backwards Compatibility Kit - The module named org.netbeans.modules.web.libraries.jsf1102/1 was
needed and not found.Exception in thread "Thread-7" java.lang.AssertionError: Cannot delete
C:\bucket\30aug610\update\download\org-netbeans-modules-visualweb-compatibilitykit.nbm
        at org.netbeans.updater.ModuleUpdater.unpack(ModuleUpdater.java:365)
        at org.netbeans.updater.ModuleUpdater.run(ModuleUpdater.java:116)
INFO [org.netbeans.modules.autoupdate.services.InstallSupportImpl]: Overflow checks of installed module null
SEVERE [global]
Comment 16 Jiri Rechtacek 2007-09-05 14:12:43 UTC
The problem with Exception in thread "Thread-7" java.lang.AssertionError: Cannot delete
C:\bucket\30aug610\update\download\org-netbeans-modules-visualweb-compatibilitykit.nbm
        at org.netbeans.updater.ModuleUpdater.unpack(ModuleUpdater.java:365)
        at org.netbeans.updater.ModuleUpdater.run(ModuleUpdater.java:116)
INFO [org.netbeans.modules.autoupdate.services.InstallSupportImpl]: Overflow checks of installed module null
SEVERE [global] was fixed in trunk.

Checking in ModuleUpdater.java;
/shared/data/ccvs/repository/autoupdate/services/libsrc/org/netbeans/updater/ModuleUpdater.java,v  <--  ModuleUpdater.java
new revision: 1.10; previous revision: 1.9
done
Comment 17 Alexander Pepin 2007-09-12 13:09:23 UTC
The bug has appeared once again in nightly build 20070911
Comment 18 Jiri Rechtacek 2007-09-13 10:02:41 UTC
It's JDK bug #4587627.
Comment 19 misterm 2008-01-09 20:36:21 UTC
The JDK issue you mentioned has been fixed for JDK 1.4. I am running NetBeans 6 final with JDK 1.6u3.

To close this issue, at least a new JDK bug should be filed and made public.
Comment 20 tprochazka 2008-01-10 05:41:11 UTC
Build: NetBeans IDE Dev (Build 20080109061402)
VM: Java HotSpot(TM) Client VM, 11.0-b09
OS: Windows XP, 5.1, x86

User Comments: 
During update process
Comment 21 tprochazka 2008-01-10 05:41:15 UTC
Created attachment 54898 [details]
stacktrace
Comment 22 nouar38 2008-01-21 15:04:07 UTC
Build: NetBeans IDE Dev (Build 200801201200)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Windows XP, 5.1, x86

User Comments: 
Install a downloaded .nbm
Comment 23 nouar38 2008-01-21 15:04:10 UTC
Created attachment 55325 [details]
stacktrace
Comment 24 tprochazka 2008-01-25 11:36:36 UTC
Build: NetBeans IDE Dev (Build 20080121121447)
VM: Java HotSpot(TM) Client VM, 11.0-b09
OS: Windows XP, 5.1, x86

User Comments: 
During installing new plugin 'Encoding support'
Comment 25 tprochazka 2008-01-25 11:36:40 UTC
Created attachment 55561 [details]
stacktrace
Comment 26 Marian Mirilovic 2008-01-25 11:53:57 UTC
Agreed - there are 78 reports so far in exceptions DB

FYI : http://forum.java.sun.com/thread.jspa?threadID=145652&messageID=409025
Comment 27 halil 2008-01-29 14:24:55 UTC
Build: NetBeans IDE Dev (Build 200801290002)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Linux, 2.6.22.9-, i386

User Comments: 
Comment 28 halil 2008-01-29 14:25:04 UTC
Created attachment 55703 [details]
stacktrace
Comment 29 qpolarbear 2008-01-31 13:15:49 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Windows XP, 5.1, x86

User Comments: 
Usin the Plugin manager.
Comment 30 qpolarbear 2008-01-31 13:15:52 UTC
Created attachment 55834 [details]
stacktrace
Comment 31 Jiri Rechtacek 2008-02-01 15:07:59 UTC
Maybe some problem with synchronization in Autoupdate Wizard => reassigning there.
Comment 32 awmobjects 2008-02-02 19:59:16 UTC
Build: NetBeans IDE Dev (Build 200801311204)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Windows XP, 5.1, x86

User Comments: 
Comment 33 awmobjects 2008-02-02 19:59:19 UTC
Created attachment 55954 [details]
stacktrace
Comment 34 davideconsonni 2008-02-04 09:01:21 UTC
Build: NetBeans IDE Dev (Build 200801310006)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Windows Vista, 6.0, x86

User Comments: 
installing update
Comment 35 davideconsonni 2008-02-04 09:01:28 UTC
Created attachment 55977 [details]
stacktrace
Comment 36 rkolman 2008-02-04 20:11:38 UTC
Build: NetBeans IDE Dev (Build 200802041203)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105
OS: Windows Vista, 6.0, x86

User Comments: 
Installing UML plugin on Windows Vista Home Premium 64bit.
Comment 37 rkolman 2008-02-04 20:11:55 UTC
Created attachment 56010 [details]
stacktrace
Comment 38 awmobjects 2008-02-04 22:53:00 UTC
Build: NetBeans IDE Dev (Build 200801311204)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Windows XP, 5.1, x86

User Comments: 
Comment 39 awmobjects 2008-02-04 22:53:10 UTC
Created attachment 56020 [details]
stacktrace
Comment 40 yjoan 2008-02-05 09:34:05 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: SunOS, 5.10, sparc

User Comments: 
Installing a set of plug-in modules.
Comment 41 yjoan 2008-02-05 09:34:08 UTC
Created attachment 56047 [details]
stacktrace
Comment 42 lhochet 2008-02-05 13:36:31 UTC
Build: NetBeans IDE Dev (Build 200801280931)
VM: Java HotSpot(TM) Client VM, 11.0-b09
OS: Windows XP, 5.1, x86

User Comments: 
occurs during the installation of SQE modules
Comment 43 lhochet 2008-02-05 13:36:34 UTC
Created attachment 56061 [details]
stacktrace
Comment 44 fpgulias 2008-02-05 15:31:09 UTC
Build: NetBeans IDE Dev (Build 200801280931)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Windows XP, 5.1, x86

User Comments: 
Just downloaded and installed the NB6.1M1.
Started for 1st time and a bubble of 1 update found appeared on the bottom right. Then this error!

As a curiosity, instead of updating preferences from 6.0, after install the package, the starter still detects and tryed to update from 5.5. I rejected the update, since I was using 6.0...
Comment 45 fpgulias 2008-02-05 15:31:14 UTC
Created attachment 56079 [details]
stacktrace
Comment 46 mm 2008-02-05 22:05:13 UTC
Build: NetBeans IDE Dev (Build 200802050005)
VM: Java HotSpot(TM) Client VM, 11.0-b11
OS: SunOS, 5.11, x86

User Comments: 
Comment 47 mm 2008-02-05 22:05:21 UTC
Created attachment 56108 [details]
stacktrace
Comment 48 Lukas Hasik 2008-02-06 08:26:22 UTC
the bug was reported to JDK team - 6659186. Waiting for evaluation. 
Comment 49 Jiri Skrivanek 2008-02-08 09:39:24 UTC
Build: NetBeans IDE Dev (Build 20080208053949)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Windows XP, 5.1, x86

User Comments: 
Thrown when "Installation completed successfully" message appeared in "NetBeans IDE Installer" dialog.
Comment 50 Jiri Skrivanek 2008-02-08 09:39:27 UTC
Created attachment 56321 [details]
stacktrace
Comment 51 kitfox 2008-02-11 01:22:27 UTC
Build: NetBeans IDE Dev (Build 200801310006)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Windows Vista, 6.0, x86

User Comments: 
Was running plugin update for C++ 1.3
Comment 52 kitfox 2008-02-11 01:22:30 UTC
Created attachment 56399 [details]
stacktrace
Comment 53 Roman Mostyka 2008-02-11 11:13:36 UTC
Build: NetBeans IDE Dev (Build 200802110004)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Windows XP, 5.1, x86

User Comments: 
1. Start IDE.
2. Install "Visual Web JSF Backwards Compatibility Kit" plugin.

Result: NullPointerException arises.
Comment 54 Roman Mostyka 2008-02-11 11:13:40 UTC
Created attachment 56421 [details]
stacktrace
Comment 55 Jiri Rechtacek 2008-02-13 14:23:36 UTC
The suspected code was changed to do not cause the reported NPE, http://hg.netbeans.org/main/rev/344ee25d3567
I leave the jdkbug 6659186 still open for more evaluation.
Comment 56 Marian Mirilovic 2008-02-14 09:10:02 UTC
Ok, thanks Jirka.

We have to be sure that new reports are reported against build after 14th of February 2008, if so reopen this issue :
http://statistics.netbeans.org/analytics/detail.do?id=687 (so far 116 dups)
Comment 57 Marian Mirilovic 2008-02-21 15:48:51 UTC
No new reports of this issue, so far - verified.
Comment 58 pgebauer 2008-03-06 17:53:21 UTC
The fix has been ported into the release601_fixes branch.

Checking in InstallStep.java;
/cvs/autoupdate/ui/src/org/netbeans/modules/autoupdate/ui/wizards/Attic/InstallStep.java,v  <--  InstallStep.java
new revision: 1.19.8.1; previous revision: 1.19
done
Checking in OperationPanel.java;
/cvs/autoupdate/ui/src/org/netbeans/modules/autoupdate/ui/wizards/Attic/OperationPanel.java,v  <--  OperationPanel.java
new revision: 1.4.8.1; previous revision: 1.4
done
Checking in OperationWizardModel.java;
/cvs/autoupdate/ui/src/org/netbeans/modules/autoupdate/ui/wizards/Attic/OperationWizardModel.java,v  <-- 
OperationWizardModel.java
new revision: 1.23.6.1; previous revision: 1.23
done
Checking in PanelBodyContainer.java;
/cvs/autoupdate/ui/src/org/netbeans/modules/autoupdate/ui/wizards/Attic/PanelBodyContainer.java,v  <-- 
PanelBodyContainer.java
new revision: 1.10.8.1; previous revision: 1.10
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo